import React from 'react';
import Clock from '../../components/CommonComponent/ClockComponent/ClockComponent'
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'
import Button from '../../components/CommonComponent/ButtonComponent/ButtonComponent'
require('./index.css');

export default class HomePageContainer extends React.Component{
    constructor(props){
        super(props);
        this.state = {
        }
    }

    componentWillMount(){

    }

    componentWillReceiveProps(nextProps){

    }



    render(){
        let props = this.props;
        let {userInfo,storeInfo} = props;
        let buttonStyle={background:'#ff775c',margin:"0 auto",marginTop:'77px'};
        let classInfo={
            colorInfo:'colfff',
            fontInfo :'font30'
        }
        return(
            <div>
                <HeaderComponent
                    showHeader={CONFIG.headerStatus[1]}
                    userinfo={userInfo}
                    storeInfo={storeInfo}
                />
                <div className={"homeContainer"} >
                    <img className={"homeIcon"}  src={UTILPATH.localImg.homePage} alt=""/>
                    <div className={'homeWelcom font30 clo333'} style={{marginTop:'50px'}}>欢迎来到<span className="homeArea font50 colff775c" style={{padding:'0 8px'}}>A</span>区</div>
                    <div className={"homeText font42"} style={{fontWeight:'800',marginTop:'20px'}}>下午好, 你辛苦了！</div>
                    <Button text={'开始工作'} classInfo={classInfo} style={buttonStyle} option={props.startTask} />
                </div>
            </div>

        )
    }
}

HomePageContainer.propTypes = {
};

HomePageContainer.defaultProps = {
}